Issue 67147 - Base crashes when using On Change macro
Summary: Base crashes when using On Change macro
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: OOo 2.0.3
Hardware: PC All
: P2 Trivial (vote)
Target Milestone: OOo 2.0.4
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2006-07-08 19:07 UTC by damokles
Modified: 2006-08-31 13:06 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
database file (11.64 KB, application/vnd.sun.xml.base)
2006-07-08 19:08 UTC, damokles
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description damokles 2006-07-08 19:07:52 UTC
Base crashes when using on change macro. You can reproduce this by downloading 
the file (see url) and clicking on the form. Enter a number in Column "Netto" 
for one of the two rows and then for other. It should crash after three or less 
tries.

I know this database is not well formed and datatypes are not yet configured as 
they should, but this is my first Base database and after two hours of work I 
noticed this reproducable crash. I hope this can be fixed by adding an 
Exception somewhere.
Comment 1 damokles 2006-07-08 19:08:33 UTC
Created attachment 37601 [details]
database file
Comment 2 damokles 2006-07-08 19:21:15 UTC
Removed url as I attached the file here.
Comment 3 damokles 2006-07-09 06:13:05 UTC
Error only occurs when enterin a number in Netto and clicking somewhere else 
afterwards not when pressing Enter key.
Comment 4 aziem 2006-07-09 16:25:37 UTC
Crash reproducible on Linux OOo 2.0.3.  Sent crash report with my OOo e-mail
address.
Comment 5 Frank Schönheit 2006-07-17 10:46:01 UTC
grabbing, targeting
Comment 6 Frank Schönheit 2006-07-17 14:27:04 UTC
fixed in CWS dba204b

find more information about this CWS, like when it is available in the master
builds, in EIS, the Environment Information System:
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba204b
Comment 7 Frank Schönheit 2006-07-17 14:29:54 UTC
the problem here is that from within the macro, the form is reloaded, while the
control is in the mid of calling the macro. Now when the macro returns, the
control is in an indetermined state.

I worked around this, but we need a more generic solution for this class of
problems in the long run: A macro called from within a form can do anything
(including, say, closing the document) with the form (or parts of it), and not
remotely all places which allow macro calls are prepared for this. Fixing them
one-by-one is not really satisfying (and will not work), so a more comprehensive
approach would make sense. Perhaps notifying such events asynchronously is an
option.
Comment 8 Frank Schönheit 2006-07-17 15:03:02 UTC
to be fixed for 2.0.4
Comment 9 Frank Schönheit 2006-07-20 14:42:56 UTC
moving issue to CWS dba204c. Still crashing when pressing "Cursor-down" instead
of clicking elsewhere :(
Comment 10 Frank Schönheit 2006-07-26 11:05:09 UTC
Okay, the part with the mouse was fixed in CWS dba204b, which is in m179 (not
yet ready ATM). The part with the keyboard is automatically fixed by the fix for
issue 66998, which went into m178.

So, as soon as dba204c is resynced to m179 or later, this issue here is fixed in
dba204c.
Comment 11 Frank Schönheit 2006-08-02 11:15:06 UTC
fs-> msc: please verify in CWS dba204c
Comment 12 marc.neumann 2006-08-04 09:47:44 UTC
verified in cws dba204c

You can found more information about this CWS in the EIS tool at
http://eis.services.openoffice.org/EIS2/cws.ShowCWS?Path=SRC680%2Fdba204c
Comment 13 marc.neumann 2006-08-31 13:06:32 UTC
Hi,

this is fixed in the current master. The current master is available at
http://download.openoffice.org/680/index.html

I close this issue now.

Bye Marc